using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Table("ATHistoryEvent")]
public partial class AthistoryEvent
{
    [Key]
    public int HistoryEventId { get; set; }

    public int HistoryId { get; set; }

    [StringLength(255)]
    public string ProcessName { get; set; } = null!;

    [StringLength(255)]
    public string EventName { get; set; } = null!;

    [StringLength(32)]
    public string? Queue { get; set; }

    [ForeignKey("HistoryId")]
    [InverseProperty("AthistoryEvents")]
    public virtual Athistory History { get; set; } = null!;
}
